aboutsummaryrefslogtreecommitdiffstats
path: root/debian/dpdk-dev.preinst.in
diff options
context:
space:
mode:
Diffstat (limited to 'debian/dpdk-dev.preinst.in')
-rw-r--r--debian/dpdk-dev.preinst.in41
1 files changed, 41 insertions, 0 deletions
diff --git a/debian/dpdk-dev.preinst.in b/debian/dpdk-dev.preinst.in
new file mode 100644
index 00000000..027e2cf0
--- /dev/null
+++ b/debian/dpdk-dev.preinst.in
@@ -0,0 +1,41 @@
+#!/bin/sh
+# preinst script for dpdk-dev
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <new-preinst> `install'
+# * <new-preinst> `install' <old-version>
+# * <new-preinst> `upgrade' <old-version>
+# * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ upgrade)
+ # include used to be a symlink to /usr/include/dpdk but to support
+ # multiarch it was changed to a full copy, but dpkg will not
+ # substitute a symlink with a directory by itself, see #626203
+ if [ -L /usr/share/dpdk/@@RTE_TARGET@@/include ] ; then
+ rm /usr/share/dpdk/@@RTE_TARGET@@/include
+ fi
+ ;;
+
+ install|abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0